---
title: Retrieve Accreditation Files
slug: retrieve-accreditation-files
icon: {"apiMethod":"GET"}
createdAt: 2026-09-14T11:27:45.161Z
---

:::ApiMethodV2
```json
{
  "name": "Retrieve Accreditation Files",
  "method": "GET",
  "url": "https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents",
  "description": " Returns metadata for every accreditation document tied to an investment's vault — uploaded files (CPA letters, income/asset proof, Plaid reports) and the vault-level verification report and proof-of-address.",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "HAOo2AKh4f6L7mqZZvM4O",
        "language": "javascript",
        "code": "const response = await fetch(\n  \"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents\",\n  {\n    method: \"GET\",\n    headers: {\n      Authorization: `Bearer ${process.env.EQUIDEFI_API_KEY}`,\n    },\n  }\n);\n\nconst { data } = await response.json();\nconsole.log(data);",
        "customLabel": ""
      },
      {
        "id": "02njXWULAqQKnZEAvdImT",
        "language": "curl",
        "code": "curl --request GET \\\n     --url https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents \\\n     --header 'accept: application/json'",
        "customLabel": ""
      },
      {
        "id": "JTf7V_HN_w137X2kcQ5VT",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents',\n   'headers': {\n      'accept': 'application/json',\n      'content-type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "LBB-YUPwZe0yLCPFZc3nx",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "6UR9VnjL44HNyrXLLpsNf",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "-M5krdCbhL9ZBg_MMGR3I",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      },
      {
        "id": "W9QaQvQXGXxeYRQ3Gei4X",
        "language": "curl",
        "code": "curl --request GET \\\n     --url https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId} \\\n     --header 'accept: application/json'",
        "customLabel": ""
      },
      {
        "id": "g469KwR4i11_8jXzziMcG",
        "language": "nodejs",
        "code": "var request = require('request');\nvar options = {\n   'method': 'GET',\n   'url': 'https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}',\n   'headers': {\n      'accept': 'application/json',\n      'content-type': 'application/json'\n   }\n};\nrequest(options, function (error, response) {\n   if (error) throw new Error(error);\n   console.log(response.body);\n});\n",
        "customLabel": ""
      },
      {
        "id": "Pb0HlH0ZRSGh2R4LzBc1g",
        "language": "javascript",
        "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));",
        "customLabel": ""
      },
      {
        "id": "WugSARQ-I-ZC4sVrdPwbV",
        "language": "python",
        "code": "import requests\nimport json\n\nurl = \"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n",
        "customLabel": ""
      },
      {
        "id": "CmBDu0EiM9fPGLOpHusTn",
        "language": "ruby",
        "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://equidefi.io/api/v1/investments/{investmentId}/accreditation-documents/{investmentId}\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "HAOo2AKh4f6L7mqZZvM4O"
  },
  "results": {
    "languages": [
      {
        "id": "ZbcW-IjVn0BGJrtJ7Vo3b",
        "language": "200",
        "code": "{\n  \"data\": [\n    {\n      \"type\": \"accreditation_documents\",\n      \"id\": \"eef24ce5-48af-4e68-9b52-95b6b941b857\",\n      \"attributes\": {\n        \"type\": \"PLAID_REPORT\",\n        \"filename\": \"Plaid Consumer Report\",\n        \"filetype\": \"application/pdf\",\n        \"uploaded_at\": \"2025-08-19T22:27:14.292Z\"\n      }\n    },\n    {\n      \"type\": \"accreditation_documents\",\n      \"id\": \"verification_report\",\n      \"attributes\": {\n        \"type\": \"VERIFICATION_REPORT\",\n        \"filename\": \"verification-report.pdf\",\n        \"filetype\": \"application/pdf\",\n        \"uploaded_at\": \"2025-08-20T14:03:11.000Z\"\n      }\n    },\n    {\n      \"type\": \"accreditation_documents\",\n      \"id\": \"proof_of_address\",\n      \"attributes\": {\n        \"type\": \"PROOF_OF_ADDRESS\",\n        \"filename\": \"proof-of-address.jpg\",\n        \"filetype\": \"image/jpeg\",\n        \"uploaded_at\": \"2025-08-20T14:03:12.000Z\"\n      }\n    }\n  ]\n}",
        "customLabel": ""
      },
      {
        "id": "pweizwTCdqUrBitlfQ3KL",
        "language": "404",
        "code": "{ \"errors\": [\"Investment not found\"] }",
        "customLabel": ""
      },
      {
        "id": "KDsC8xoxGTRd2Ghln2HkE",
        "language": "403",
        "code": "{ \"errors\": [\"Forbidden\"] }"
      },
      {
        "id": "Cwj8TQs99o7NzFTCh85_P",
        "language": "401",
        "code": "{ \"errors\": [\"Unauthorized\"] }"
      }
    ],
    "selectedLanguageId": "ZbcW-IjVn0BGJrtJ7Vo3b"
  },
  "request": {
    "pathParameters": [
      {
        "name": "investmentId",
        "kind": "optional",
        "type": "string",
        "description": "UUID of the investment associated with the files.",
        "": "UUID of the investment associated with the files."
      }
    ],
    "queryParameters": [],
    "headerParameters": [],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Path Parameter",
    "value": "pathParameters"
  },
  "hasTryItOut": false,
  "autoGeneratedAnchorSlug": "retrieve-accreditation-files",
  "legacyHash": "QP1GM7RobKePw6xm_L5p3"
}
```
:::

